<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net6.0</TargetFramework>
		<ApplicationIcon />
        <PublishSingleFile>true</PublishSingleFile>
		<StartupObject>Runas.Program</StartupObject>
		<SignAssembly>False</SignAssembly>
		<EnforceCodeStyleInBuild>True</EnforceCodeStyleInBuild>
		<AnalysisLevel>6.0</AnalysisLevel>
	</PropertyGroup>
    
    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <Optimize>True</Optimize>
	  <DebugType>embedded</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <DebugType>embedded</DebugType>
        <Optimize>True</Optimize>
    </PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
		<PackageReference Include="Serilog" Version="2.12.0" />
		<PackageReference Include="Serilog.Enrichers.Environment" Version="2.2.0" />
		<PackageReference Include="Serilog.Enrichers.Thread" Version="3.1.0" />
		<PackageReference Include="Serilog.Extensions.Logging" Version="3.1.0" />
		<PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Update="Program.cs">
	    <CopyToOutputDirectory>Never</CopyToOutputDirectory>
	  </Compile>
	  <Compile Update="Properties\Resources.Designer.cs">
	    <CopyToOutputDirectory>Never</CopyToOutputDirectory>
	    <DesignTime>True</DesignTime>
	    <AutoGen>True</AutoGen>
	    <DependentUpon>Resources.resx</DependentUpon>
	  </Compile>
	</ItemGroup>

	<ItemGroup>
	  <EmbeddedResource Update="Properties\Resources.resx">
		  <Generator>ResXFileCodeGenerator</Generator>
	  </EmbeddedResource>
	</ItemGroup>

</Project>
